Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Interface ModeShapePermissions

    public interface ModeShapePermissions

The set of constants that can be used for action literals with the `Session.checkPermission(String, String)` method.

ModeShape has extended the set of JCR-defined actions ("add_node", "set_property", "remove", and "read") with additional actions ("register_type", "register_namespace", and "unlock_any"). The `register_type` and `register_namespace` permissions define the ability to register (and unregister) node types and namespaces, respectively. The `unlock_any` permission grants the user the ability to unlock any locked node or branch (as opposed to users without that permission who can only unlock nodes or branches that they have locked themselves or for which they hold the lock token).

Permissions to perform these actions are aggregated in `roles` that can be assigned to users.

Field Summary
`static String` | `ADD_NODE` A standard JCR-defined permission to grant the user the ability to add nodes.
`static String[]` | `ALL_CHANGE_PERMISSIONS`
`static String[]` | `ALL_PERMISSIONS`
`static String` | `CREATE_WORKSPACE` The `create_workspace` permission allows the user the ability to `create new workspaces`.
`static String` | `DELETE_WORKSPACE` The `delete_workspace` permission allows the user the ability to `delete workspaces`.
`static String` | `INDEX_WORKSPACE`
`static String` | `MONITOR` The `monitor` permission allows the user the ability to `monitor the repository`.
`static String` | `READ` A standard JCR-defined permission to grant the user the ability to read nodes and/or properties.
`static String` | `REGISTER_NAMESPACE` The `register_namespace` permission define the ability to register (and unregister) namespaces.
`static String` | `REGISTER_TYPE` The `register_type` permission define the ability to register (and unregister) node types.
`static String` | `REMOVE` A standard JCR-defined permission to grant the user the ability to remove nodes and/or properties.
`static String` | `SET_PROPERTY` A standard JCR-defined permission to grant the user the ability to add or change properties.
`static String` | `UNLOCK_ANY` The `unlock_any` permission grants the user the ability to unlock any locked node or branch (as opposed to users without that permission who can only unlock nodes or branches that they have locked themselves or for which they hold the lock token).

Field Detail

### REGISTER_NAMESPACE

    static final String REGISTER_NAMESPACE

  The `register_namespace` permission define the ability to register (and unregister) namespaces.

  See Also:
    `Session.checkPermission(String, String)`, Constant Field Values

### REGISTER_TYPE

    static final String REGISTER_TYPE

  The `register_type` permission define the ability to register (and unregister) node types.

  See Also:
    `Session.checkPermission(String, String)`, Constant Field Values

### UNLOCK_ANY

    static final String UNLOCK_ANY

  The `unlock_any` permission grants the user the ability to unlock any locked node or branch (as opposed to users without that permission who can only unlock nodes or branches that they have locked themselves or for which they hold the lock token).

  See Also:
    `Session.checkPermission(String, String)`, Constant Field Values

### ADD_NODE

    static final String ADD_NODE

  A standard JCR-defined permission to grant the user the ability to add nodes.

  See Also:
    `Session.checkPermission(String, String)`, Constant Field Values

### SET_PROPERTY

    static final String SET_PROPERTY

  A standard JCR-defined permission to grant the user the ability to add or change properties.

  See Also:
    `Session.checkPermission(String, String)`, Constant Field Values

### REMOVE

    static final String REMOVE

  A standard JCR-defined permission to grant the user the ability to remove nodes and/or properties.

  See Also:
    `Session.checkPermission(String, String)`, Constant Field Values

### READ

    static final String READ

  A standard JCR-defined permission to grant the user the ability to read nodes and/or properties.

  See Also:
    `Session.checkPermission(String, String)`, Constant Field Values

### CREATE_WORKSPACE

    static final String CREATE_WORKSPACE

  The `create_workspace` permission allows the user the ability to `create new workspaces`.

  See Also:
    Constant Field Values

### DELETE_WORKSPACE

    static final String DELETE_WORKSPACE

  The `delete_workspace` permission allows the user the ability to `delete workspaces`.

  See Also:
    Constant Field Values

### MONITOR

    static final String MONITOR

  The `monitor` permission allows the user the ability to `monitor the repository`.

  See Also:
    Constant Field Values

### INDEX_WORKSPACE

    static final String INDEX_WORKSPACE

See Also:
  Constant Field Values

### ALL_CHANGE_PERMISSIONS

    static final String[] ALL_CHANGE_PERMISSIONS

### ALL_PERMISSIONS

    static final String[] ALL_PERMISSIONS

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.